Subject: Re: [DNSOP] New version of the DNS terminology draft

From: Paul Hoffman <[email-masked]>
Date: Sun, 1 Mar 2015 16:15:40 -0800

On Feb 25, 2015, at 2:54 PM, Darcy Kevin (FCA) <[email-masked]> wrote:
> 
> I understand "cache-only" or "caching-only" DNS server as being, strictly speaking, one which loads *no* authoritative data. Typically, this is a resolver which populates its cache by initially priming with some "root hints" configuration, and then walking down the namespace hierarchy via iterative queries for everything else, but I suppose, arguably, a forwarder could also qualify as a "cache-only" or "caching-only" DNS server too. Sometimes I've heard the term -- despite being absolute -- being bent to include nameservers which only load a *minimal*, "convenience" set of authoritative zones, e.g. for "localhost", "1.0.0.127.in-addr.arpa", zones of that nature, each of which are usually intended to provide resolution for a single, non-globally-unique name. 
> 
> A "stub zone" is one in which the source of zone information -- typically in the form of IP addresses from which to fetch the data -- is defined statically within the nameserver configuration, but *not* involving full replication of the zone *or* recursive resolution towards that source, hence distinguishing it from being a slave for the zone, or engaging in any form of "forwarding", respectively. Because there is no full replication, whatever contents of the zone exist on the instance configured as a "stub" for it, are not considered "authoritative" and the instance does not respond authoritatively for the zone.

Given that neither of those terms appear in any RFC, I don't think we want to invent terms like these.

--Paul Hoffman